# ReadablePoint (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util
Interface ReadablePoint

All Known Subinterfaces:
  ReadableRectangle

All Known Implementing Classes:
  Point, Rectangle

    public interface ReadablePoint

Readonly interface for Points

Version:
  $Revision$ $Id$
Author:
  $Author$

Method Summary
`void` `getLocation(WritablePoint dest)` Copy this ReadablePoint into a destination Point
`int` `getX()`
`int` `getY()`

Method Detail

### getX

    int getX()

  Returns:
    int

### getY

    int getY()

  Returns:
    int

### getLocation

    void getLocation(WritablePoint dest)

  Copy this ReadablePoint into a destination Point

  Parameters:
    `dest` - The destination Point, or null, to create a new Point

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.